      subroutine KUMAInit
      include 'fepc.cmn'
      include 'basic.cmn'
      include 'datred.cmn'
      AlphaKuma=50.385
      BetaKuma=0.05
      Comut=16.
      DegKuma(4)=Comut*100.
      DegKuma(3)=DegKuma(4)
      DegKuma(2)=2.*DegKuma(4)
      DegKuma(1)=DegKuma(2)
      do i=1,4
        StepKuma(i)=DegKuma(i)/ToRad
        RangeOKuma(i)=nint(170.*DegKuma(i))
        OnePi(i)=nint(180.*DegKuma(i))
      enddo
      StepKuma(2)=2.*StepKuma(2)
      RangeOKuma(2)=2*nint(180.*DegKuma(2))
      RangeOKuma(4)=RangeOKuma(2)
      LoLimKuma(1)=-800000
      LoLimKuma(2)=-322400
      LoLimKuma(3)=-312000
      LoLimKuma(4)= 0
      UpLimKuma(1)= 800000
      UpLimKuma(2)= 528000
      UpLimKuma(3)= 312000
      UpLimKuma(4)= 0
      SlopeKuma=-1.425
      ColimKuma(1)=-144000
      ColimKuma(2)=-288000
      ColimKuma(3)=-122400
      ColimKuma(4)=-493200
      ColimKuma(5)=-327600
      ColimKuma(6)=-82800
      pom=(AlphaKuma-BetaKuma)*ToRad
      sab=sin(pom)
      cab=cos(pom)
      pom=AlphaKuma*ToRad
      sa=sin(pom)
      ca=cos(pom)
      sa2=sa**2
      ca2=ca**2
      sc1=sa*sab/cab
      sc2=sc1**2-ca2
      sc1=sc1-ca
      pom=BetaKuma*ToRad
      sb=sin(pom)
      cb=cos(pom)
      PCorrKuma( 1)=0.
      PCorrKuma( 2)=9.995
      PCorrKuma( 3)=19.985
      PCorrKuma( 4)=29.97
      PCorrKuma( 5)=39.98
      PCorrKuma( 6)=49.96
      PCorrKuma( 7)=59.96
      PCorrKuma( 8)=69.96
      PCorrKuma( 9)=79.96
      PCorrKuma(10)=89.96
      PCorrKuma(11)=99.96
      PCorrKuma(12)=109.96
      PCorrKuma(13)=119.975
      PCorrKuma(14)=129.975
      PCorrKuma(15)=139.985
      PCorrKuma(16)=149.99
      PCorrKuma(17)=160.005
      PCorrKuma(18)=170.005
      PCorrKuma(19)=180.03
      PCorrKuma(20)=190.03
      PCorrKuma(21)=200.05
      PCorrKuma(22)=210.06
      PCorrKuma(23)=220.06
      PCorrKuma(24)=230.07
      PCorrKuma(25)=240.075
      PCorrKuma(26)=250.075
      PCorrKuma(27)=260.08
      PCorrKuma(28)=270.07
      PCorrKuma(29)=280.07
      PCorrKuma(30)=290.07
      PCorrKuma(31)=300.06
      PCorrKuma(32)=310.05
      PCorrKuma(33)=320.05
      PCorrKuma(34)=330.03
      PCorrKuma(35)=340.025
      PCorrKuma(36)=350.01
      PCorrKuma(37)=360.
      TransTheta=0.
      StepsKuma=60
      ModeKuma=1
      Width1=1.5
      Width2=0.35
      Width3=1.00201
      FractKuma=0.
      return
      end
